<script>
    var requireJS = [];
    loadJS(requireJS, "js/views/common.js");
    loadJS(requireJS, "js/views/incidences.js");
</script>

<div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-exclamation-circle"></i> Incidencias
                </div>
                <div class="card-block">

                    <div class="input-group">

                        <div class="form-group form-inline">
                            <div class="btn-group">
                                <input th:value="${q}" type="search" class="form-control search-input" placeholder="Buscar..." id="q">
                                <span class="search-clear fa fa-remove"></span>
                            </div>
                        </div>

                        &nbsp;
                        <div class="form-group form-inline">
                            <label>Estado </label>
                            <select class="form-control" id="status" name="status">
                                <option value="all" th:selected="${status == null}">Todos</option>
                                <option value="pending" th:selected="${status == 'pending'}">Pendiente</option>
                                <option value="closed" th:selected="${status == 'closed'}">Cerradas</option>
                            </select>
                        </div>

                        &nbsp;
                        <div class="form-group form-inline">
                            <button type="button" class="btn btn-primary" id="search-button">
                                <i class="fa fa-search"></i>
                            </button>
                        </div>
                    </div>

                    <br/>
                    <table class="table table-bordered table-striped table-sm">
                        <thead>
                            <tr class="text-center">
                                <th><input class="chk-check-all" type="checkbox"></th>
                                <th>#</th>
                                <th>Creacion</th>
                                <th>Usuario</th>
                                <th>Tipo</th>
                                <th>Estado</th>
                                <th>Client</th>
                                <th>Comentario</th>
                                <th>Cerrada</th>
                                <th>Por</th>
                                <th>&nbsp;</th>                                
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td><input th:id="${item.id}" type="checkbox" name="client-id"></td>
                                <td th:text="${item.id}"></td>
                                <td th:if="${item.date != null}" th:text="${#dates.format(item.date, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.date == null}"></td>
                                <td th:text="${item.user}"></td>
                                <td>
                                    <div th:if="${item.line != null}">                                        
                                        <i class="fa fa-phone"></i>
                                        <a th:href="'/#views/support/clients?q=' + ${item.line}" th:text="${item.line}" target="_blank"></a>
                                    </div>
                                    <div th:if="${item.line == null}">
                                        <i class="fa fa-user"></i>
                                        <a th:href="'/#views/support/clients?q=id:' + ${item.clientId}" th:text="${item.clientId}" target="_blank"></a>
                                    </div>
                                </td>
                                <td class="text-center">
                                    <span class="badge badge-warning" th:if="${item.incidenceStatus == 'pending'}">Pendiente</span>
                                    <span class="badge badge-success" th:if="${item.incidenceStatus == 'closed'}">Cerrada</span>
                                </td>
                                <td>
                                    <div data-toggle="tooltip" th:title="${item.client}">
                                        <span th:text="${item.client}"></span>
                                    </div>
                                </td>                                
                                <td class="text">
                                    <div data-toggle="tooltip" th:title="${item.text}">
                                        <span th:text="${item.text}"></span>
                                    </div>
                                </td>                                
                                <td th:if="${item.incidenceClosed != null}" th:text="${#dates.format(item.incidenceClosed, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.incidenceClosed == null}"></td>
                                <td th:text="${item.incidenceUser}"></td>
                                <td>
                                    <div th:if="${item.incidenceStatus == 'pending'}">
                                        <i class="fa fa-pencil action-button" id="edit-incidence" th:attr="data-id=${item.id}"></i>
                                    </div>
                                </td>
                            </tr>
                        </tbody>
                    </table>


                    <div th:replace="fragments/pagination :: paginationbar"></div>

                </div>
            </div>
        </div>
    </div>
</div>
